import jsxRenderer from "../../jsx/renderer.js";
import { loadTSConfig } from "./tsconfig.js";
function createSettings(config, cwd) {
  const tsconfig = loadTSConfig(cwd);
  return {
    config,
    tsConfig: tsconfig == null ? void 0 : tsconfig.config,
    tsConfigPath: tsconfig == null ? void 0 : tsconfig.path,
    adapter: void 0,
    injectedRoutes: [],
    pageExtensions: [".astro", ".md", ".html"],
    renderers: [jsxRenderer],
    scripts: [],
    watchFiles: (tsconfig == null ? void 0 : tsconfig.exists) ? [tsconfig.path, ...tsconfig.extendedPaths] : []
  };
}
export {
  createSettings
};
